%define upstream_name    Crypt-Eksblowfish
%define upstream_version 0.009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 27
Summary:    Blowfish-based Unix crypt() password hash
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Mix) >= 0.1.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder) >= 0.150.0
BuildRequires: perl(MIME::Base64) >= 2.210.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
An object of this type encapsulates a keyed instance of the Eksblowfish
block cipher, ready to encrypt and decrypt.

Eksblowfish is a variant of the Blowfish cipher, modified to make the key
setup very expensive. ("Eks" stands for "expensive key schedule".) This
doesn't make it significantly cryptographically stronger, but is intended
to hinder brute-force attacks. It also makes it unsuitable for any
application requiring key agility. It was designed by Niels Provos and
David Mazieres for password hashing in OpenBSD. See the
Crypt::Eksblowfish::Bcrypt manpage for the hash algorithm. See the
Crypt::Eksblowfish::Blowfish manpage for the unmodified Blowfish cipher.

Eksblowfish is a parameterised (family-keyed) cipher. It takes a cost
parameter that controls how expensive the key scheduling is. It also takes
a family key, known as the "salt". Cost and salt parameters together define
a cipher family. Within each family, a key determines an encryption
function in the usual way. See the Crypt::Eksblowfish::Family manpage for a
way to encapsulate an Eksblowfish cipher family.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

# Fix permissions
%_fixperms %{buildroot}%perl_vendorarch

%files
%doc Changes META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorarch/*
%exclude %dir %perl_vendorarch/auto/


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.9.0-27.mga10
+ Revision: 2234109
- Mageia 10 Mass Rebuild

* Mon Jan 20 2025 wally <wally> 0.9.0-26.mga10
+ Revision: 2140063
- rebuild with perl-5.40.0-3.mga10
- fix .so module file permissions and debug info extraction

* Fri Aug 23 2024 tv <tv> 0.9.0-25.mga10
+ Revision: 2089619
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 0.9.0-24.mga10
+ Revision: 2012280
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 0.9.0-23.mga9
+ Revision: 1875084
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.9.0-22.mga9
+ Revision: 1796672
- Mageia 9 Mass Rebuild

* Sun Nov 21 2021 wally <wally> 0.9.0-21.mga9
+ Revision: 1758165
- rebuild due to a loadable library and perl binary mismatch (mga#29651)

* Sat Jul 18 2020 tv <tv> 0.9.0-20.mga8
+ Revision: 1606970
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Sun Feb 16 2020 umeabot <umeabot> 0.9.0-19.mga8
+ Revision: 1530990
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 tv <tv> 0.9.0-18.mga8
+ Revision: 1438273
- rebuild for perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.9.0-17.mga7
+ Revision: 1292548
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.9.0-16.mga7
+ Revision: 1249038
- Fix file list
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.9.0-15.mga7
+ Revision: 1163604
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 guillomovitch <guillomovitch> 0.9.0-14.mga7
+ Revision: 1156045
- rebuild for new perl

* Sat Jun 18 2016 pterjan <pterjan> 0.9.0-13.mga6
+ Revision: 1024515
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.9.0-12.mga6
+ Revision: 956930
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.9.0-11.mga6
+ Revision: 843905
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-10.mga5
+ Revision: 749060
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.9.0-9.mga5
+ Revision: 732999
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-8.mga5
+ Revision: 684039
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.9.0-7.mga5
+ Revision: 632157
- perl 5.20.0 rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.9.0-5.mga4
+ Revision: 524733
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.9.0-4.mga4
+ Revision: 431397
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-3.mga3
+ Revision: 364847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.9.0-2.mga3
+ Revision: 250393
- rebuild for perl 5.16

* Wed Jun 15 2011 jquelin <jquelin> 0.9.0-1.mga2
+ Revision: 106556
- update to 0.009

* Sat Jun 11 2011 sander85 <sander85> 0.8.0-3.mga2
+ Revision: 103822
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.8.0-2.mga1
+ Revision: 31827
- mageia rebuild
- imported package perl-Crypt-Eksblowfish

